Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.query
Class AttributeListPattern

    java.lang.Object
      de.grogra.xl.query.Pattern
          de.grogra.xl.query.UserDefinedPattern
              de.grogra.xl.query.AttributeListPattern

All Implemented Interfaces:
  XObject, BytecodeSerialization.Serializable

Direct Known Subclasses:
  FieldListPattern

    public abstract class AttributeListPattern

extends UserDefinedPattern

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.xl.query.UserDefinedPattern
`UserDefinedPattern.In, UserDefinedPattern.Out`

Nested classes/interfaces inherited from class de.grogra.xl.query.Pattern
`Pattern.Matcher`

Field Summary

Fields inherited from class de.grogra.xl.query.Pattern
`CONTEXT_MASK, INPUT_MASK, NODE_MASK, NULL_MATCHER, OUTPUT_MASK`

Constructor Summary
`AttributeListPattern(int attributeCount)`
`AttributeListPattern(Type cls, int attributeCount)`

Method Summary
`Pattern.Matcher` | `createMatcher(Graph src, XBitSet providedConstants, IntList neededConstantsOut)`
`protected boolean` | `getBoolean(java.lang.Object o, int index)`
`protected byte` | `getByte(java.lang.Object o, int index)`
`protected char` | `getChar(java.lang.Object o, int index)`
`protected double` | `getDouble(java.lang.Object o, int index)`
`protected float` | `getFloat(java.lang.Object o, int index)`
`protected int` | `getInt(java.lang.Object o, int index)`
`protected long` | `getLong(java.lang.Object o, int index)`
`protected java.lang.Object` | `getObject(java.lang.Object o, int index)`
`int` | `getParameterKind(int index)`
`protected short` | `getShort(java.lang.Object o, int index)`

Methods inherited from class de.grogra.xl.query.UserDefinedPattern
`findSignatureMethod, getSignature, getXClass, getXData, initXClass, write`

Methods inherited from class de.grogra.xl.query.Pattern
`getDeclaredParameterCount, getParameterCount, getParameterType, isDeleting, paramString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeListPattern

    public AttributeListPattern(int attributeCount)

### AttributeListPattern

    public AttributeListPattern(Type cls,
                                int attributeCount)

Method Detail

### createMatcher

    public Pattern.Matcher createMatcher(Graph src,
                                         XBitSet providedConstants,
                                         IntList neededConstantsOut)

  Specified by:
    `createMatcher` in class `Pattern`

### getBoolean

    protected boolean getBoolean(java.lang.Object o,
                                 int index)

### getByte

    protected byte getByte(java.lang.Object o,
                           int index)

### getChar

    protected char getChar(java.lang.Object o,
                           int index)

### getDouble

    protected double getDouble(java.lang.Object o,
                               int index)

### getFloat

    protected float getFloat(java.lang.Object o,
                             int index)

### getInt

    protected int getInt(java.lang.Object o,
                         int index)

### getLong

    protected long getLong(java.lang.Object o,
                           int index)

### getObject

    protected java.lang.Object getObject(java.lang.Object o,
                                         int index)

### getParameterKind

    public int getParameterKind(int index)

  Specified by:
    `getParameterKind` in class `Pattern`

### getShort

    protected short getShort(java.lang.Object o,
                             int index)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD